com.google.gwt.user.client.ui

## Class ListenerWrapper<T>

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<T>

Type Parameters:
  `T` - listener type

All Implemented Interfaces:
  EventHandler

Direct Known Subclasses:
  ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener

Deprecated.
will be removed in GWT 2.7 with the handler listeners themselves

    @Deprecated
    public abstract class ListenerWrapper<T>
    extends BaseListenerWrapper<T>

Legacy listener support hierarchy for `com.google.gwt.user.client.ui`. Gathers the bulk of the legacy glue code in one place, for easy deletion when Listener methods are deleted.

### Nested Class Summary

Nested Classes
`static class` `ListenerWrapper.WrappedChangeListener` Deprecated. will be removed in GWT 2.0 along with the listeners being wrapped
`static class` `ListenerWrapper.WrappedClickListener` Deprecated. will be removed in GWT 2.0 along with the listeners being wrapped
`static class` `ListenerWrapper.WrappedFocusListener` Deprecated. Wrapper for a `FocusListener`.
`static class` `ListenerWrapper.WrappedKeyboardListener` Deprecated. Wrapper for a `KeyboardListener`.
`static class` `ListenerWrapper.WrappedLoadListener` Deprecated. Wrapper for a `LoadListener`.
`static class` `ListenerWrapper.WrappedLogicalChangeListener<V>` Deprecated. will be removed in GWT 2.0 along with the listeners being wrapped
`static class` `ListenerWrapper.WrappedMouseListener` Deprecated. Wrapper for a `MouseListener`.
`static class` `ListenerWrapper.WrappedMouseWheelListener` Deprecated. Wrapper for a `MouseWheelListener`.
`(package private) static class` `ListenerWrapper.WrappedOldDisclosureHandler` Deprecated.
`(package private) static class` `ListenerWrapper.WrappedOldFormHandler` Deprecated.
`(package private) static class` `ListenerWrapper.WrappedOldSuggestionHandler` Deprecated.
`(package private) static class` `ListenerWrapper.WrappedPopupListener` Deprecated.
`static class` `ListenerWrapper.WrappedScrollListener` Deprecated. Wrapper for a `ScrollListener`.
`(package private) static class` `ListenerWrapper.WrappedTableListener` Deprecated.
`(package private) static class` `ListenerWrapper.WrappedTabListener` Deprecated.
`(package private) static class` `ListenerWrapper.WrappedTreeListener` Deprecated.

### Constructor Summary

Constructors
`protected` `ListenerWrapper(T listener)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`protected static <H extends EventHandler> void` `baseRemove(Widget eventSource, java.util.EventListener listener, GwtEvent.Type... types)` Deprecated. Convenience method to remove wrapped handlers from a widget.
`protected Widget` `getSource(GwtEvent<?> event)` Deprecated. Gets the widget source to pass to the listeners.
`void` `setSource(Widget source)` Deprecated. Sets the widget source to pass to the listeners.

### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

`baseRemove, getListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListenerWrapper

    protected ListenerWrapper(T listener)

Deprecated.

### Method Detail

#### baseRemove

    protected static <H extends EventHandler> void baseRemove(Widget eventSource,
                                                              java.util.EventListener listener,
                                                              GwtEvent.Type... types)

Deprecated.
Convenience method to remove wrapped handlers from a widget.

Type Parameters:
  `H` - event handler type
Parameters:
  `eventSource` - the event source
  `listener` - the listener to remove
  `types` - the event types to remove it from

#### setSource

    public void setSource(Widget source)

Deprecated.
Sets the widget source to pass to the listeners. Source defaults to event.getSource() if this method is not used.

Parameters:
  `source` - the source to provide as the listener's source

#### getSource

    protected Widget getSource(GwtEvent<?> event)

Deprecated.
Gets the widget source to pass to the listeners. Source defaults to event.getSource() if not specified by `setSource(Widget)`.

Parameters:
  `event` - the event
Returns:
  source the source to provide as the listener's source